US$ 59.89
Durable high gloss polyester powder paint with an all metal valve construction ensures longevity
49-418-4-110
• Two conduit entrances provided
57-378-4-135
UL Listed/FM Approved
Viking® VK602, Microfast Model M, 8.0K, Extended Coverage, Pendent, QR/SR, 3/4" NPT, White, 135 Degree 18262MA/W Fire Sprinkler Head RFC30 RFC302 RFC43 RFC432 RFC49 RFC492 RFC581 RFC582 RFC761 RFC762 Durable high gloss polyester powderViking VK602, Microfast Model M, 8. 0K, Extended Coverage, Pendent, QR SR, 3 4" NPT, White, 135 Degree 18262MA W Fire Sprinkler Head The Viking Microfast EC QREC Pendent Sprinkler VK602 is a small thermosensitive spray sprinkler available in several different finishes and temperature ratings to meet varying design requirements. This sprinkler has both standard response and quick response listings. The glass bulb operating element and special deflector
US$ 59.89
US$ 14.99
US$ 70.00
US$ 26.94
US$ 53.57
US$ 94.53
US$ 17.99